<template>
  <div class="history position-relative">
    <div class="title-page">
      <div class="title">{{ $t('token_history.title') }}</div>
    </div>
    <div class="content-wrapper">
      <div class="header-table">
        <div class="upper d-flex justify-content-between">
          <div>{{ $t('token_history.token_name') }}</div>
          <div>{{ $t('token_history.ending_balance') }}</div>
        </div>
        <div class="below d-flex justify-content-between">
          <div>/ {{ $t('token_history.time') }}</div>
          <div>/ {{ $t('token_history.notes') }}</div>
        </div>
      </div>
      <div class="transaction-container" v-if="fluctuations.length > 0">
        <div class="transaction d-flex align-items-center" v-for="(fluctuation, index) in fluctuations" :class="{ 'even' : (index % 2) !== 0 }">
          <div class="transaction-wrapper w-100">
            <div class="upper d-flex justify-content-between w-100">
              <div class="left position-relative">
                {{ fluctuation.amount | formatCurrencyAmount('heta', '0') }} {{ fluctuation.action_type }}
              </div>
              <div class="right">
                {{ fluctuation.ending_balance | formatCurrencyAmount('heta', '0') }}
              </div>
            </div>
              <div class="below d-flex justify-content-between w-100">
                <div class="left">
                  {{ formatDate(fluctuation) }}
                </div>
                <div class="right">
                  {{ getNote(fluctuation) }}
                </div>
              </div>
          </div>
        </div>
      </div>
      <div class="not-found" v-else>
        <span class="iconmo-not-found not-found__icon"></span>
        <span class="not-found__text">{{ $t('token_history.not_found_text') }}</span>
      </div>
    </div>
  </div>
</template>

<script>
import BaseTokenHistory from '../../home/pages/TokenHistory';

export default {
  extends: BaseTokenHistory,
};
</script>

<style lang="scss" scoped>
  @import '../../../sass/mobile/typoVariables';
  .history {
    @extend .Medium-14;
    .title-page {
      padding: 15rem 12rem 15rem;
      background-image: linear-gradient(to bottom, $midnight, $catalina_blue);
      box-shadow: 0 2rem 40rem 0 rgba(0, 0, 0, 0.5);
      font-size: 18rem;
      color: $white;
    }
    .content-wrapper {
      .title {
        @extend .bold--20;
        color: $white;
        padding: 16.5rem 0 0 13rem;
      }
      .balance {
        padding: 20rem 0 0 13rem;
        color: #989898;
        font-size: $medium;
        .token {
          font-size: $small;
          font-weight: bold;
          color: #fa7300;
        }
      }
      .header-table {
        background-color: #d8d8d8;
        padding: 20rem 13rem;
        .upper {
          font-size: $small;
          font-weight: bold;
          color: #818181;
        }
        .below {
          font-size: $small;
          color: #818181;
        }
      }
      .transaction-container {
        .transaction {
          margin-bottom: 0;
          padding: 15rem 12rem;
          height: 50rem;
          &.even {
            background-color: #ffffff;
          }
          .upper {
            font-size: $small;
            font-weight: bold;
            color: #1c1c1c;
          }
          .below {
            margin-top: 4rem;
            font-size: $small;
            color: #9e9e9e;
          }
          .left {
            max-width: 50%;
          }
          .right {
            max-width: 150px;
            text-overflow: ellipsis;
            white-space: nowrap;
            overflow: hidden;
          }
        }
        .line {
          border-bottom: 1rem solid #2f2f54
        }
      }
    }
  }
  .not-found {
    margin-top: 18rem;
    text-align: center;
    .not-found__icon {
      padding: 20rem;
      background-color: transparent;
      border-radius: 50%;
      font-size: 80rem;
      display: inline-block;
      margin-bottom: 8rem;
    }

    .not-found__text {
      display: block;
      font-size: $small;
      color: $thin_gray;
    }
  }
</style>